## gnome-mahjongg 3.38.3

=== meson_options.txt ===
option('compile-schemas', type: 'feature', value : 'enabled', description : 'Compile GSettings schemas on install')
option('update-icon-cache', type: 'feature', value : 'enabled', description : 'Update icon cache')

## gnome-mahjongg 3.8.0

=== debian/changelog ===
gnome-mahjongg (1:3.8.0-1) unstable; urgency=low

  [ Jeremy Bicha ]
  * Package split from gnome-games
  * Add transitional package for rename from mahjongg

  [ Emilio Pozuelo Monfort ]
  * debian/control.in:
    + Swith valac-0.18 build dependency to valac (>= 0.18).

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 25 May 2013 18:48:37 +0200

gnome-games (1:3.4.2-3) unstable; urgency=medium

  * Team upload.
  * debian/patches/91_glchess_engine.patch:
    - Cherry-pick patch from upstream Git to kill gnuchess engine
      processes on new game/exit (Closes: #675003).

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 05 Aug 2012 23:14:54 +0200

gnome-games (1:3.4.2-2) unstable; urgency=low

  * debian/patches/02_swell-foop-datadir.patch: Install data files into
    /usr/share/swell-foop not /usr/share/gnome-games and use the correct path
    for the gettext translations. Patch cherry-picked from upstream Git.
  * debian/swell-foop.install: Update accordingly.

 -- Michael Biebl <biebl@debian.org>  Wed, 23 May 2012 07:30:46 +0200

gnome-games (1:3.4.2-1) unstable; urgency=low

  [ Jeremy Bicha ]
  * New upstream release.
  * debian/control.in:
      gobject-introspection
    - Tighten gnome-games-data dependency for Lights Off & Swell Foop
  * debian/patches/90_fix-help-links.patch: Dropped, applied upstream
  * debian/patches/91_fix-gnuchess6-compatibility.patch:
    - Git patch to enable Chess to work with gnuchess 6 (Closes: #668435)

  [ Michael Biebl ]
  * Drop obsolete --disable-gnuchess configure switch.
  * debian/patches/01_swell-foop-setgid.patch: Make sure swell-foop is
    installed with the correct setgid bits set so it can write to the scores
    files.
  * debian/scores/swell-foop.inst: Install scores files for swell-foop.
  * Drop obsolete Conflicts, Breaks and Replaces.

 -- Michael Biebl <biebl@debian.org>  Mon, 21 May 2012 07:40:19 +0200

gnome-games (1:3.4.1-2) unstable; urgency=low

  * Demote the aisleriot dependency to a recommendation as long as
    guile-2.0 isn't available on armel, armhf and ia64.

 -- Jordi Mallach <jordi@debian.org>  Fri, 11 May 2012 00:52:38 +0200

gnome-games (1:3.4.1-1) unstable; urgency=low

  [ Jeremy Bicha ]
  * New upstream release
  * Re-enable lightsoff and swell-foop
  * debian.control.in:
    - Build-depend on valac-0.16 and GTK 3.3.11
    - Build-depend on yelp-tools instead of gnome-doc-utils
    - Drop gconf dependency
    - Standards-Version 3.9.3
  * debian/*.install: Updated for new files and directories
  * debian/patches/90_fix-sudoku-borders.patch: Dropped, applied upstream
  * debian/patches/90_fix-help-links.patch:
    Patch derived from Git to fix links to help in several games
  * Use dh-autoreconf for the above patch

  [ Jordi Mallach ]
  * New upstream release.
  * Rewrite copyright file in machine-readable format 1.0.
  * Add many copyright entries for lots of missing bits.
  * Build-Depend on gobject-introspection and gnome-common to fix
    autoreconf, but pass --disable-introspection to ensure introspection
    remains disabled.

 -- Jordi Mallach <jordi@debian.org>  Wed, 02 May 2012 17:02:41 +0200

gnome-games (1:3.2.1-2) unstable; urgency=low

  [ Josselin Mouette ]
  * Replace python-gobject by python-gi.

  [ Michael Biebl ]
  * debian/watch:
    - Track .xz tarballs.
  * debian/control.in:
    - Add Depends on python-gi-cairo to gnome-sudoku. Closes: #643692
  * Bump debhelper compatibility level to 8.
    - Strip debian/tmp/ from .install files.
    - Bump Build-Depends on debhelper.

 -- Michael Biebl <biebl@debian.org>  Tue, 13 Dec 2011 20:49:10 +0100

gnome-games (1:3.2.1-1) unstable; urgency=low

  [ Jeremy Bicha ]
  * New upstream stable release.
    - Aisleriot has been split into its own package
    - Five or More, Iagno, Mahjongg, Mines and Tetravex were ported to
      GSettings
    - Sudoku was ported to pygobject
  * debian/control.in:
    - Add Vcs links
    - Dropped aisleriot & its dependencies
    - Require valac-0.14 and pygobject 2.90
  * debian/pycompat: Dropped, obsolete.
  * debian/patches/01_theme_install.patch: Dropped, applied upstream

  [ Jordi Mallach ]
  * New upstream release.
  * Merge from Ubuntu:
    - debian/patches/90_fix-sudoku-borders.patch: Bugzilla patch to
      fix missing borders in Sudoku (LP: #844385).
  * Tighten aisleriot dependency to >= ${gnome:Version}.
  * Replace versioned conflicts with breaks.
  * Remove aisleriot bits from copyright file.

 -- Jordi Mallach <jordi@debian.org>  Thu, 24 Nov 2011 19:47:53 +0100

gnome-games (1:3.0.2-2) unstable; urgency=low

  * Fix pygobject dependency. Closes: #643030.
  * gnome-cards-data also breaks g-g-extra-data.
  * Add missing epoch to all breaks/replaces.

 -- Josselin Mouette <joss@debian.org>  Mon, 26 Sep 2011 23:13:06 +0200

gnome-games (1:3.0.2-1) unstable; urgency=low

  * Make gnome-cards-data Replaces: gnome-games-extra-data.
    Closes: #629925.
  * New upstream release.
  * Explicitly disable swell-foop and lightsoff since they are going 
    away in 3.2 (pending a port to vala or C). Closes: #623988.
  * Update build-dependencies.
  * Drop introspection, it’s only used for JS games.
  * Build-conflict with libclutter-gtk-0.10-dev because of BZ#643080.
  * 01_theme_install.patch: new patch. List packages for installation of 
    extra card themes.
  * Split all games in separate packages to prepare for the upcoming 
    split upstream. Closes: #167372.
  * Small updates to copyright file accordingly.
  * Remove old-style menu files.

 -- Josselin Mouette <joss@debian.org>  Sat, 24 Sep 2011 13:48:36 +0200

gnome-games (1:3.0.1.1-1) experimental; urgency=low

  * New upstream stable release.
  * Bump a few more Build-Deps and add valac-0.12.
  * Re-enable GObject Introspection support.
  * Update Homepage URL.
  * Comment out gnome-sudoku entry from menu file as it's not available
    for GTK+3 yet.
  * 0001-quadrapassel-use-gtk_clutter_init.-instead.patch: removed, was
    taken upstream.


=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.

Source: gnome-mahjongg
Section: games
Priority: optional
Maintainer: Josselin Mouette <joss@debian.org>
Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Jordi Mallach <jordi@debian.org>, Michael Biebl <biebl@debian.org>
Homepage: https://live.gnome.org/Mahjongg
Build-Depends: cdbs (>= 0.4.90~),
               debhelper (>= 8),
               dh-autoreconf,
               gnome-common,
               gnome-pkg-tools,
               intltool (>= 0.35.0),
               libglib2.0-dev,
               libgtk-3-dev (>= 3.4.0),
               librsvg2-dev (>= 2.32.0),
               valac (>= 0.18),
               yelp-tools
Standards-Version: 3.9.4
Vcs-Svn: svn://anonscm.debian.org/svn/pkg-gnome/desktop/unstable/gnome-mahjongg
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gnome-mahjongg/

Package: gnome-mahjongg
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: yelp
Breaks: mahjongg (<< 1:3.7.2)
Replaces: mahjongg (<< 1:3.7.2)
Description: classic Eastern tile game for GNOME
 This is a solitaire (one player) version of the classic Eastern tile 
 game, Mahjongg.
 .
 You start with five levels of tiles which are stacked so some are 
 covered up by the tiles on top. The object of Mahjongg is to remove all 
 the tiles from the game, by finding matching pairs which look alike.

Package: mahjongg
Architecture: all
Priority: extra
Section: oldlibs
Depends: ${shlibs:Depends},
         ${misc:Depends},
         gnome-mahjongg
Description: classic Eastern tile game for GNOME (transitional package)
 This is a solitaire (one player) version of the classic Eastern tile 
 game, Mahjongg.

## gnome-mahjongg 3.10.2

=== debian/changelog ===
gnome-mahjongg (1:3.10.2-0ubuntu1) trusty; urgency=medium

  * New upstream release:
    - Sort scores by duration of the game
    - Fix Redo sometimes removing too many pieces
    - Fix map label on scores dialog
    - Add an appdata file
    - Fix bug where the pause button could incorrectly display a "play" icon
    - Fix name of application menu when not launched by GNOME Shell
    - Fix two broken links in user help
    - App menu now uses a UI file and is installed into a gresource

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 17 Dec 2013 10:01:25 +1300

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,6 @@
 # 
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
-
 Source: gnome-mahjongg
 Section: games
 Priority: optional

=== debian/watch ===
version=3
http://ftp.gnome.org/pub/GNOME/sources/gnome-mahjongg/([\d\.]+[02468])/ \
	gnome-mahjongg-(.*)\.tar\.xz

## gnome-mahjongg 3.12.2

=== debian/changelog ===
gnome-mahjongg (1:3.12.2-0ubuntu2) utopic; urgency=medium

  * debian/control:
    - Bump build-depends

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 03 Jul 2014 14:21:30 +1200

gnome-mahjongg (1:3.12.2-0ubuntu1) utopic; urgency=medium

  * New upstream release
  * debian/patches/hide-headerbar.patch:
    - Don't show HeaderBar in shells that don't support it well

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 03 Jul 2014 12:15:51 +1200

=== debian/control ===
--- 
+++ 
@@ -13,9 +13,9 @@
                dh-autoreconf,
                gnome-common,
                gnome-pkg-tools,
-               intltool (>= 0.35.0),
+               intltool (>= 0.50),
                libglib2.0-dev,
-               libgtk-3-dev (>= 3.4.0),
+               libgtk-3-dev (>= 3.10.0),
                librsvg2-dev (>= 2.32.0),
                valac (>= 0.18),
                yelp-tools

## gnome-mahjongg 3.14.1

=== debian/changelog ===
gnome-mahjongg (1:3.14.1-1) unstable; urgency=medium

  * New upstream release.
  * Update Homepage URL.
  * Bump Standards-Version to 3.9.6. No further changes.

 -- Michael Biebl <biebl@debian.org>  Tue, 14 Oct 2014 01:51:23 +0200

gnome-mahjongg (1:3.14.0-1) unstable; urgency=medium

  [ Jackson Doak ]
  * New upstream release
  * debian/control: Bump build-deps: valac (>= 0.24), libgtk-3-dev (>= 3.13.2)

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 26 Sep 2014 23:56:39 +0200

gnome-mahjongg (1:3.12.2-1) unstable; urgency=low

  * Team upload.

  [ Jeremy Bicha ]
  * Update homepage

  [ Luca Falavigna ]
  * New upstream release.
  * debian/control.in:
    - Bump build-dependencies minimum required versions.
    - Bump Standards-Version to 3.9.5.

 -- Luca Falavigna <dktrkranz@debian.org>  Sat, 19 Jul 2014 15:28:47 +0200

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: gnome-mahjongg
Section: games
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Andreas Henriksson <andreas@fatal.se>, Emilio Pozuelo Monfort <pochu@debian.org>, Jordi Mallach <jordi@debian.org>, Michael Biebl <biebl@debian.org>
Build-Depends: cdbs (>= 0.4.90~),
               debhelper (>= 8),
               dh-autoreconf,
               gnome-common,
               gnome-pkg-tools,
               intltool (>= 0.50),
               libglib2.0-dev,
               libgtk-3-dev (>= 3.13.2),
               librsvg2-dev (>= 2.32.0),
               valac (>= 0.24),
               yelp-tools
Standards-Version: 3.9.6
Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/gnome-mahjongg
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gnome-mahjongg/
Homepage: https://wiki.gnome.org/Apps/Mahjongg

Package: gnome-mahjongg
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: yelp
Breaks: mahjongg (<< 1:3.7.2)
Replaces: mahjongg (<< 1:3.7.2)
Description: classic Eastern tile game for GNOME
 This is a solitaire (one player) version of the classic Eastern tile
 game, Mahjongg.
 .
 You start with five levels of tiles which are stacked so some are
 covered up by the tiles on top. The object of Mahjongg is to remove all
 the tiles from the game, by finding matching pairs which look alike.

Package: mahjongg
Architecture: all
Priority: extra
Section: oldlibs
Depends: ${shlibs:Depends},
         ${misc:Depends},
         gnome-mahjongg
Description: classic Eastern tile game for GNOME (transitional package)
 This is a solitaire (one player) version of the classic Eastern tile
 game, Mahjongg.

## gnome-mahjongg 3.16.2

=== debian/changelog ===
gnome-mahjongg (1:3.16.2-0ubuntu1) wily; urgency=medium

  * New upstream stable release:
    - Fixed event propagation for gestures

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 07 Oct 2015 11:28:12 +1300

gnome-mahjongg (1:3.16.1-1) unstable; urgency=medium

  * New upstream release.
  * Add Build-Depends on appstream-util as per configure.ac.

 -- Michael Biebl <biebl@debian.org>  Wed, 03 Jun 2015 18:20:26 +0200

## gnome-mahjongg 3.18.0

=== debian/changelog ===
gnome-mahjongg (1:3.18.0-1) unstable; urgency=medium

  [ Pedro Beja ]
  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 06 Oct 2015 11:02:46 +0100

=== debian/control ===
--- 
+++ 
@@ -13,6 +13,7 @@
                gnome-common,
                gnome-pkg-tools,
                intltool (>= 0.50),
+               appstream-util,
                libglib2.0-dev,
                libgtk-3-dev (>= 3.13.2),
                librsvg2-dev (>= 2.32.0),

## gnome-mahjongg 3.22.0

=== debian/changelog ===
gnome-mahjongg (1:3.22.0-3) unstable; urgency=medium

  * Update Vcs fields for migration to https://salsa.debian.org/
  * Bump debhelper compat to 11

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 03 Feb 2018 22:04:36 -0500

gnome-mahjongg (1:3.22.0-2) unstable; urgency=medium

  * Update Vcs fields for conversion to git
  * Add debian/gbp.conf
  * Bump Standards-Version to 4.1.2

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 14 Dec 2017 19:26:27 -0500

gnome-mahjongg (1:3.22.0-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Wed, 21 Sep 2016 22:26:08 +0200

gnome-mahjongg (1:3.21.90-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release
  * Convert from cdbs to dh
  * Add debian/docs to explicitly install NEWS and README
  * Bump debhelper compat to 10
  * Enable all hardening flags
  * Delete vala stamps to rebuild generated source files

 -- Michael Biebl <biebl@debian.org>  Tue, 30 Aug 2016 15:45:23 +0200

gnome-mahjongg (1:3.20.0-2) unstable; urgency=medium

  * Drop obsolete transitional package mahjongg.
  * Clean up old scores files. They are no longer stored system wide
    but in the user's home directory.
  * Update debian/copyright, fix Upstream-Name and remove obsolete sections.

 -- Michael Biebl <biebl@debian.org>  Mon, 16 May 2016 01:53:45 +0200

gnome-mahjongg (1:3.20.0-1) unstable; urgency=medium

  [ Pedro Beja ]
  * New upstream release.

  [ Andreas Henriksson ]
  * Drop gnome-common build-dependency following upstream change.
  * Bump Standards-Version to 3.9.8

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 13 May 2016 14:58:01 +0200

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: gnome-mahjongg
Section: games
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>
Build-Depends: appstream-util,
               debhelper (>= 11),
               gnome-pkg-tools,
               intltool (>= 0.50),
               libglib2.0-dev,
               libgtk-3-dev (>= 3.13.2),
               librsvg2-dev (>= 2.32.0),
               valac (>= 0.24),
               yelp-tools
Standards-Version: 4.1.2
Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-mahjongg
Vcs-Git: https://salsa.debian.org/gnome-team/gnome-mahjongg.git
Homepage: https://wiki.gnome.org/Apps/Mahjongg

Package: gnome-mahjongg
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: yelp
Breaks: mahjongg (<< 1:3.7.2)
Replaces: mahjongg (<< 1:3.7.2)
Description: classic Eastern tile game for GNOME
 This is a solitaire (one player) version of the classic Eastern tile
 game, Mahjongg.
 .
 You start with five levels of tiles which are stacked so some are
 covered up by the tiles on top. The object of Mahjongg is to remove all
 the tiles from the game, by finding matching pairs which look alike.

=== debian/rules ===
#!/usr/bin/make -f
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed

%:
	dh $@ --with gnome

override_dh_auto_configure:
	dh_auto_configure -- --bindir=\$${prefix}/games

override_dh_autoreconf:
	find . -name "*_vala.stamp" -print -delete
	dh_autoreconf --as-needed

## gnome-mahjongg 3.32.0

=== debian/changelog ===
gnome-mahjongg (1:3.32.0-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 10 Mar 2019 20:28:55 -0400

gnome-mahjongg (1:3.31.90-1) experimental; urgency=medium

  * New upstream release
  * Build with meson
  * Build-Depend on debhelper-compat 12 and drop debian/compat
  * Build-Depend on dh-sequence-gnome

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 03 Feb 2019 20:51:00 -0500

gnome-mahjongg (1:3.22.0-4) unstable; urgency=medium

  * Add -Wl,-O1 to our LDFLAGS
  * Bump Standards-Version to 4.3.0

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 24 Dec 2018 10:00:39 -0500

## gnome-mahjongg 3.34.0

=== debian/changelog ===
gnome-mahjongg (1:3.34.0-1) unstable; urgency=medium

  * New upstream release
  * Release to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 25 Sep 2019 20:50:29 -0400

gnome-mahjongg (1:3.33.90-1) experimental; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 21 Aug 2019 12:43:52 +0200

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,23 @@
 # This file is autogenerated. DO NOT EDIT!
-# 
+#
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
 Source: gnome-mahjongg
 Section: games
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>
-Build-Depends: appstream-util,
-               debhelper (>= 11),
-               gnome-pkg-tools,
-               intltool (>= 0.50),
+Uploaders: Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>
+Build-Depends: debhelper-compat (= 12),
+               appstream-util <!nocheck>,
+               desktop-file-utils <!nocheck>,
+               dh-sequence-gnome,
+               itstool,
                libglib2.0-dev,
                libgtk-3-dev (>= 3.13.2),
                librsvg2-dev (>= 2.32.0),
+               meson (>= 0.37.1),
                valac (>= 0.24),
-               yelp-tools
-Standards-Version: 4.1.2
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-mahjongg
 Vcs-Git: https://salsa.debian.org/gnome-team/gnome-mahjongg.git
 Homepage: https://wiki.gnome.org/Apps/Mahjongg

## gnome-mahjongg 3.36.1

=== debian/changelog ===
gnome-mahjongg (1:3.36.1-1) unstable; urgency=medium

  * New upstream release
  * debian/docs:
    - updated for the README name change

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 10 Mar 2020 13:50:10 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: games
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>
+Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper-compat (= 12),
                appstream-util <!nocheck>,
                desktop-file-utils <!nocheck>,

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --bindir=games

## gnome-mahjongg 3.38.2

=== debian/changelog ===
gnome-mahjongg (1:3.38.2-1) unstable; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 05 Oct 2020 15:35:26 +0200

gnome-mahjongg (1:3.38.1-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in:
    - updated meson requirement

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 21 Sep 2020 13:29:39 +0200

gnome-mahjongg (1:3.37.1-1) experimental; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 14 Aug 2020 17:53:25 +0200

gnome-mahjongg (1:3.36.2-1) unstable; urgency=medium

  * New upstream release
  * Bump debhelper-compat to 13
  * Bump Standards-Version to 4.5.0

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 02 May 2020 19:08:03 -0400

## gnome-mahjongg 3.38.3

=== debian/changelog ===
gnome-mahjongg (1:3.38.3-2) unstable; urgency=medium

  * Cherry-pick patch to fix build with latest meson (Closes: #1005587)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 21 Mar 2022 14:16:40 -0400

gnome-mahjongg (1:3.38.3-1) unstable; urgency=medium

  * New upstream release
  * debian/rules:
    - don't compile the schemas or refresh the icon cache

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 20 Jan 2021 17:27:36 +0100

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
 Section: games
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Uploaders: Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>
+Build-Depends: debhelper-compat (= 13),
                appstream-util <!nocheck>,
                desktop-file-utils <!nocheck>,
                dh-sequence-gnome,
@@ -15,9 +15,9 @@
                libglib2.0-dev,
                libgtk-3-dev (>= 3.13.2),
                librsvg2-dev (>= 2.32.0),
-               meson (>= 0.37.1),
+               meson (>= 0.49),
                valac (>= 0.24),
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-mahjongg
 Vcs-Git: https://salsa.debian.org/gnome-team/gnome-mahjongg.git
 Homepage: https://wiki.gnome.org/Apps/Mahjongg

## gnome-mahjongg 3.40.0

=== debian/changelog ===
gnome-mahjongg (1:3.40.0-1) unstable; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release
  * Build with gtk4 and libadwaita
  * debian/control.in: Bump minimum librsvg and meson
  * debian/rules: Drop obsolete configure options
  * Drop patch: applied in new release
  * Set Rules-Requires-Root: no

  [ Debian Janitor ]
  * Add debian/upstream/metadata
  * Update standards version to 4.6.2, no changes needed

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 09 Jun 2023 09:47:35 -0400

=== debian/control ===
--- 
+++ 
@@ -6,18 +6,20 @@
 Section: games
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>
+Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Jordi Mallach <jordi@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper-compat (= 13),
                appstream-util <!nocheck>,
                desktop-file-utils <!nocheck>,
                dh-sequence-gnome,
                itstool,
+               libadwaita-1-dev,
                libglib2.0-dev,
-               libgtk-3-dev (>= 3.13.2),
-               librsvg2-dev (>= 2.32.0),
-               meson (>= 0.49),
+               libgtk-4-dev (>= 4.5.0),
+               librsvg2-dev (>= 2.46.0),
+               meson (>= 0.57.0),
                valac (>= 0.24),
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-mahjongg
 Vcs-Git: https://salsa.debian.org/gnome-team/gnome-mahjongg.git
 Homepage: https://wiki.gnome.org/Apps/Mahjongg

## gnome-mahjongg 3.40.1

=== debian/changelog ===
gnome-mahjongg (1:3.40.1-1) unstable; urgency=medium

  * New upstream release (LP: #2062038)
  * Drop all patches: applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 17 Apr 2024 13:26:47 -0400

gnome-mahjongg (1:3.40.0-2) unstable; urgency=medium

  * Stop using debian/control.in and dh-sequence-gnome
  * Cherry-pick 5 patches to fix various issues (Closes: #1039038)
    (LP: #1991976)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 12 Apr 2024 12:31:04 -0400

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,11 @@
-# This file is autogenerated. DO NOT EDIT!
-#
-# Modifications should be made to debian/control.in instead.
-# This file is regenerated automatically in the clean target.
 Source: gnome-mahjongg
 Section: games
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Jordi Mallach <jordi@debian.org>, Michael Biebl <biebl@debian.org>
+Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
                appstream-util <!nocheck>,
                desktop-file-utils <!nocheck>,
-               dh-sequence-gnome,
                itstool,
                libadwaita-1-dev,
                libglib2.0-dev,

## gnome-mahjongg 47~alpha

=== debian/changelog ===
gnome-mahjongg (1:47~alpha-1) unstable; urgency=medium

  * New upstream release
  * Bump minimum GTK4 & libadwaita
  * Bump Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 12 Aug 2024 11:38:13 -0400

## gnome-mahjongg 47~rc

=== debian/changelog ===
gnome-mahjongg (1:47~rc-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 13 Aug 2024 13:44:27 -0400

## gnome-mahjongg 47.0

=== meson_options.txt ===
option(
  'profile',
  type: 'combo',
  description: 'Indicate whether this is a nightly build (used for CI purposes)',
  choices: [
    'default',
    'development'
  ],
  value: 'default',
)

=== debian/changelog ===
gnome-mahjongg (1:47.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 16 Sep 2024 11:28:19 -0400

## gnome-mahjongg 48~beta.1

=== debian/changelog ===
gnome-mahjongg (1:48~beta.1-1) unstable; urgency=medium

  * New upstream release
  * Cherry-pick a commit to fix games being needlessly difficult

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 12 Feb 2025 18:59:31 -0500

## gnome-mahjongg 48~rc

=== debian/changelog ===
gnome-mahjongg (1:48~rc-1) unstable; urgency=medium

  * New upstream release
  * Remove remaining patch: applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 23 Feb 2025 12:58:05 -0500

## gnome-mahjongg 48.0

=== debian/changelog ===
gnome-mahjongg (1:48.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 17 Mar 2025 13:39:18 -0400

=== debian/control ===
--- 
+++ 
@@ -7,13 +7,13 @@
                appstream-util <!nocheck>,
                desktop-file-utils <!nocheck>,
                itstool,
-               libadwaita-1-dev,
+               libadwaita-1-dev (>= 1.5.0),
                libglib2.0-dev,
-               libgtk-4-dev (>= 4.5.0),
+               libgtk-4-dev (>= 4.14.0),
                librsvg2-dev (>= 2.46.0),
                meson (>= 0.57.0),
                valac (>= 0.24),
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-mahjongg
 Vcs-Git: https://salsa.debian.org/gnome-team/gnome-mahjongg.git

## gnome-mahjongg 48.1

=== debian/changelog ===
gnome-mahjongg (1:48.1-2) unstable; urgency=medium

  * Team upload
  * Replace build-dep on obsolete appstream-util with appstream

 -- Matthias Klumpp <mak@debian.org>  Sat, 03 May 2025 16:18:05 +0200

gnome-mahjongg (1:48.1-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 17 Apr 2025 12:15:31 -0400

gnome-mahjongg (1:48.0-2) unstable; urgency=medium

  * Remove <!nocheck> from Build-Depends: desktop-file-utils (Closes: #1102605)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 11 Apr 2025 17:36:59 -0400

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
-               appstream-util <!nocheck>,
-               desktop-file-utils <!nocheck>,
+               appstream <!nocheck>,
+               desktop-file-utils,
                itstool,
                libadwaita-1-dev (>= 1.5.0),
                libglib2.0-dev,

## gnome-mahjongg 49.0

=== debian/changelog ===
gnome-mahjongg (1:49.0-1) unstable; urgency=medium

  * New upstream release
    - Mahjongg is now part of GNOME Circle
  * Update Homepage
  * Bump minimum gtk4 & libadwaita
  * Remove Recommends: yelp; a simple Game Rules dialog is provided instead
  * Remove obsolete Breaks/Replaces
  * Remove obsolete Rules-Requires-Root: no field
  * Remove obsolete postinst
  * Bump Standards Version to 4.7.2

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 16 Sep 2025 16:19:49 -0400

## gnome-mahjongg 49.0.1

=== meson_options.txt ===
--- 
+++ 
@@ -1,3 +1,6 @@
+# SPDX-FileCopyrightText: 2020-2025 Mahjongg Contributors
+# SPDX-License-Identifier: GPL-2.0-or-later
+
 option(
   'profile',
   type: 'combo',

=== debian/changelog ===
gnome-mahjongg (1:49.0.1-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 22 Sep 2025 13:35:23 -0400

=== debian/control ===
Source: gnome-mahjongg
Section: games
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>
Build-Depends: debhelper-compat (= 13),
               appstream <!nocheck>,
               desktop-file-utils,
               itstool,
               libadwaita-1-dev (>= 1.8.0),
               libglib2.0-dev,
               libgtk-4-dev (>= 4.20.0),
               librsvg2-dev (>= 2.46.0),
               meson (>= 0.57.0),
               valac (>= 0.24),
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-mahjongg
Vcs-Git: https://salsa.debian.org/gnome-team/gnome-mahjongg.git
Homepage: https://apps.gnome.org/Mahjongg/

Package: gnome-mahjongg
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: classic Eastern tile game for GNOME
 This is a solitaire (one player) version of the classic Eastern tile
 game, Mahjongg.
 .
 You start with five levels of tiles which are stacked so some are
 covered up by the tiles on top. The object of Mahjongg is to remove all
 the tiles from the game, by finding matching pairs which look alike.
 .
 Mahjongg is a GNOME Circle app.

## gnome-mahjongg 49.1.1

=== debian/changelog ===
gnome-mahjongg (1:49.1.1-1) unstable; urgency=medium

  * New upstream release
  * Move Maintainer from Debian GNOME to Debian GNOME Extras
  * Add Build-Depends: libxml2-utils for xmllint
  * debian/copyright: Update
  * Bump Standards Version to 4.7.3

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 26 Jan 2026 21:41:24 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: gnome-mahjongg
 Section: games
-Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Extras Maintainers <pkg-gnome-extras-maintainers@lists.alioth.debian.org>
 Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
                appstream <!nocheck>,
@@ -11,11 +10,12 @@
                libglib2.0-dev,
                libgtk-4-dev (>= 4.20.0),
                librsvg2-dev (>= 2.46.0),
+               libxml2-utils,
                meson (>= 0.57.0),
                valac (>= 0.24),
-Standards-Version: 4.7.2
-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-mahjongg
-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-mahjongg.git
+Standards-Version: 4.7.3
+Vcs-Browser: https://salsa.debian.org/gnome-team/extras/gnome-mahjongg
+Vcs-Git: https://salsa.debian.org/gnome-team/extras/gnome-mahjongg.git
 Homepage: https://apps.gnome.org/Mahjongg/
 
 Package: gnome-mahjongg
